# Registration Add On Products Registration Add On Products ## Creates a new registration add on product record that does not already exist. - [POST /registrationAddOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/createregistrationaddonproduct.md): This method will auto-generate an ID and create a new registration add on product. If an ID is specified for the registration add on product, an error will be thrown. ## Execute Batch Operations - [POST /registrationAddOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /registrationAddOnProducts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/listproductsbyeventid.md): Returns a list of records with the specified event_id ## Returns a registration add on product from the system by its ID. - [DELETE /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/deleteregistrationaddonproduct.md): This method will delete a registration add on product with the specified ID. ## Returns a registration add on product from the system by its ID. - [GET /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/getregistrationaddonproduct.md): This method will look up a registration add on product by the specified ID and return it back. ## Partially updates a registration add on product with the specified ID. - [PATCH /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/patchregistrationaddonproduct.md): This method will patch an existing registration add on product with the specified ID, using the HTTP PATCH specification. ## Updates a registration add on product with the specified ID. - [PUT /registrationAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-add-on-products/updateregistrationaddonproduct.md): This method will update an existing registration add on product with the specified ID.